Bug 179519 - Openoffice crashes when started, bridge code
Openoffice crashes when started, bridge code
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
: 168404 179257 179844 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 19:45 EST by Willem Riede
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.0.2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 05:05:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
replacement testing x86 gcc bridge library (384.72 KB, application/octet-stream)
2006-02-02 04:40 EST, Caolan McNamara
no flags Details
updated library (384.76 KB, application/octet-stream)
2006-02-02 05:35 EST, Caolan McNamara
no flags Details

  None (edit)
Description Willem Riede 2006-01-31 19:45:31 EST
Description of problem:
Openoffice writer, calc and impress all crash during splash screen when started
with the traceback below.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.1.1-8.2

How reproducible:
Every Time.

Steps to Reproduce:
1.click on any of openoffice's launch icons on the gnome taskbar
2.splash screen appears briefly
3.kaboom!!
  
Actual results:
Video Driver is probably radeon
DESKTOP_SESSION is set to default
libgcj version is libgcj-4.1.0-0.17 libgcj-4.1.0-0.17
OpenOffice.org core rpm version is openoffice.org-core-2.0.1.1-8.2
0x6c0c694: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e694
0x6c0cee2: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1eee2
0xffffe500:  + 0x500 (__kernel_sigreturn + 0x0)
0x6ee826c: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x4826c
(ucbhelper::cancelCommandExecution(com::sun::star::ucb::IOErrorCode,
com::sun::star::uno::Sequence<com::sun::star::uno::Any> const&,
com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> const&,
rtl::OUString const&,
com::sun::star::uno::Reference<com::sun::star::ucb::XCommandProcessor> const&) +
0x170)
0x7fc9bf6: /usr/lib/openoffice.org2.0/program/libucpfile1.so + 0x2ebf6
0x7fbb814: /usr/lib/openoffice.org2.0/program/libucpfile1.so + 0x20814
0x7fa8477: /usr/lib/openoffice.org2.0/program/libucpfile1.so + 0xd477
0x7fabd0b: /usr/lib/openoffice.org2.0/program/libucpfile1.so + 0x10d0b
0x6ebdbc5: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x1dbc5
0x6ebdd93: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x1dd93
(ucb::Content::executeCommand(rtl::OUString const&, com::sun::star::uno::Any
const&) + 0x4b)
0x6e6b593: /usr/lib/openoffice.org2.0/program/libutl680li.so + 0x3e593
0x6e6d244: /usr/lib/openoffice.org2.0/program/libutl680li.so + 0x40244
(utl::UcbLockBytes::CreateLockBytes(com::sun::star::uno::Reference<com::sun::star::ucb::XContent>
const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&, unsigned short,
com::sun::star::uno::Reference<com::sun::star::task::XInteractionHandler>
const&, utl::UcbLockBytesHandler*) + 0x2f6)
0x6e76a16: /usr/lib/openoffice.org2.0/program/libutl680li.so + 0x49a16
0x6e76c35: /usr/lib/openoffice.org2.0/program/libutl680li.so + 0x49c35
(utl::UcbStreamHelper::CreateStream(String const&, unsigned short,
utl::UcbLockBytesHandler*, unsigned char) + 0x33)
0x20b2b04: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xb2b04
0x21aac2a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1aac2a
0x21aad9b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1aad9b
(SfxDispatcher::SfxDispatcher(SfxDispatcher*) + 0x27)
0x20afe8d: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xafe8d
0x20bdd19: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xbdd19
(SfxApplication::SetApp(SfxApplication*) + 0xa7)
0x20be0bc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xbe0bc
(SfxApplication::GetOrCreate() + 0x50)
0x2099a54: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x99a54
0x21c2477: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c2477
0x21c25ed: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c25ed
0x20fa61: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x26a61
0x20f757: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x26757
0x20f7be: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x267be
0x2111e6: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x281e6
0x20f757: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x26757
0x20f80f: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x2680f
0xf78711f2: /usr/lib/openoffice.org2.0/program/servicemgr.uno.so + 0x81f2
0xf786f23b: /usr/lib/openoffice.org2.0/program/servicemgr.uno.so + 0x623b
0x23081b7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x271b7
(desktop::Desktop::Main() + 0x913)
0x711032a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e32a
0x71103dd: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e3dd (SVMain()
+ 0x2b)
0x230198b: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2098b (sal_main
+ 0x57)
0x23019d7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x209d7 (main + 0x27)
0xbe16b4: /lib/libc.so.6 + 0x156b4 (__libc_start_main + 0xdc)
0x80484c5: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4c5


Expected results:
openoffice's main window should have appeared

Additional info:
Comment 1 Hans de Goede 2006-02-01 03:14:20 EST
I see this too, and on x86_64 too. On fedora-devel someone blamed the kernel.
But I was still booting the kernel where things used to work fine also
downgrading to 
2.0.1.1-7 (from /var/cache/yum/development/packages) fixes things.
Comment 2 Caolan McNamara 2006-02-01 04:22:32 EST
*** Bug 179257 has been marked as a duplicate of this bug. ***
Comment 3 Caolan McNamara 2006-02-01 06:14:22 EST
Will this reproduce in a debugger ?

gdb /usr/lib/openoffice.org2.0/program/soffice.bin
(gdb) handle SIG33 nostop noprint
(gdb) handle SIGXCPU nostop noprint
(gdb) handle SIGPWR nostop noprint
(gdb) run -writer
...wait for crash...
(gdb) thread apply all bt
Comment 4 Willem Riede 2006-02-01 06:38:23 EST
Yes, it does:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 4160546480 (LWP 2996)]
0xf4b13734 in ?? ()
(gdb) thread apply all bt

Thread 4 (Thread 4120021920 (LWP 3030)):
#0  0xffffe405 in __kernel_vsyscall ()
#1  0x00c89c10 in poll () from /lib/libc.so.6
#2  0xf7d44b66 in SessionManagerClient::getSessionID () from
/usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so
#3  0x06c0554d in osl_resumeThread () from
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3
#4  0x00d34262 in start_thread () from /lib/libpthread.so.0
#5  0x00c9314e in clone () from /lib/libc.so.6

Thread 3 (Thread 4132854688 (LWP 3029)):
#0  0xffffe405 in __kernel_vsyscall ()
#1  0x00d39b58 in accept () from /lib/libpthread.so.0
#2  0x06c0d40d in osl_acceptPipe () from
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3
#3  0x00332ea3 in vos::OPipe::accept () from
/usr/lib/openoffice.org2.0/program/libvos3gcc3.so
#4  0x07d89037 in desktop::OfficeIPCThread::run () from
/usr/lib/openoffice.org2.0/program/libsoffice.so
#5  0x0032e771 in vos::_cpp_OThread_WorkerFunction () from
/usr/lib/openoffice.org2.0/program/libvos3gcc3.so
#6  0x0032e79f in _OThread_WorkerFunction () from
/usr/lib/openoffice.org2.0/program/libvos3gcc3.so
#7  0x06c0554d in osl_resumeThread () from
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3
#8  0x00d34262 in start_thread () from /lib/libpthread.so.0
#9  0x00c9314e in clone () from /lib/libc.so.6

Thread 2 (Thread 4143549344 (LWP 3028)):
#0  0xffffe405 in __kernel_vsyscall ()
#1  0x00d3737c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x06c02522 in osl_waitCondition () from
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3
#3  0x0032aa41 in vos::OCondition::wait () from
/usr/lib/openoffice.org2.0/program/libvos3gcc3.so
#4  0x00330309 in vos::OTimerManager::run () from
/usr/lib/openoffice.org2.0/program/libvos3gcc3.so
#5  0x0032e771 in vos::_cpp_OThread_WorkerFunction () from
/usr/lib/openoffice.org2.0/program/libvos3gcc3.so
#6  0x0032e79f in _OThread_WorkerFunction () from
/usr/lib/openoffice.org2.0/program/libvos3gcc3.so
#7  0x06c0554d in osl_resumeThread () from
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3
#8  0x00d34262 in start_thread () from /lib/libpthread.so.0
#9  0x00c9314e in clone () from /lib/libc.so.6

Thread 1 (Thread 4160546480 (LWP 2996)):
#0  0xf4b13734 in ?? ()
#1  0x001fe50e in cppu::throwException () from
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#2  0x06ee826c in ucbhelper::cancelCommandExecution () from
/usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so
#3  0x07fc9bf6 in component_writeInfo () from
/usr/lib/openoffice.org2.0/program/libucpfile1.so
#4  0x07fbb814 in component_writeInfo () from
/usr/lib/openoffice.org2.0/program/libucpfile1.so
#5  0x07fa8477 in component_writeInfo () from
/usr/lib/openoffice.org2.0/program/libucpfile1.so
#6  0x07fabd0b in component_writeInfo () from
/usr/lib/openoffice.org2.0/program/libucpfile1.so
#7  0x06ebdbc5 in ucb::Content::getURL () from
/usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so
#8  0x06ebdd93 in ucb::Content::executeCommand () from
/usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so
#9  0x06e6b593 in utl::UcbLockBytes::terminate_Impl () from
/usr/lib/openoffice.org2.0/program/libutl680li.so
#10 0x06e6d244 in utl::UcbLockBytes::CreateLockBytes () from
/usr/lib/openoffice.org2.0/program/libutl680li.so
#11 0x06e76a16 in utl::UcbStreamHelper::CreateStream () from
/usr/lib/openoffice.org2.0/program/libutl680li.so
#12 0x06e76c35 in utl::UcbStreamHelper::CreateStream () from
/usr/lib/openoffice.org2.0/program/libutl680li.so
#13 0x02681b04 in SfxApplication::CreateAboutDialog () from
/usr/lib/openoffice.org2.0/program/libsfx680li.so
#14 0x02779c2a in SfxDispatcher::Pop () from
/usr/lib/openoffice.org2.0/program/libsfx680li.so
#15 0x02779d9b in SfxDispatcher::SfxDispatcher () from
/usr/lib/openoffice.org2.0/program/libsfx680li.so
#16 0x0267ee8d in SfxApplication::LoadTemplate () from
/usr/lib/openoffice.org2.0/program/libsfx680li.so
#17 0x0268cd19 in SfxApplication::SetApp () from
/usr/lib/openoffice.org2.0/program/libsfx680li.so
#18 0x0268d0bc in SfxApplication::GetOrCreate () from
/usr/lib/openoffice.org2.0/program/libsfx680li.so
#19 0x02668a54 in GetImage () from /usr/lib/openoffice.org2.0/program/libsfx680li.so
#20 0x02791477 in non-virtual thunk to SfxStatusListener::getTypes() () from
/usr/lib/openoffice.org2.0/program/libsfx680li.so
#21 0x027915ed in non-virtual thunk to SfxStatusListener::getTypes() () from
/usr/lib/openoffice.org2.0/program/libsfx680li.so
#22 0x0020fa61 in cppu::createStandardClassWithSequence () from
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#23 0x0020f757 in cppu::createStandardClassWithSequence () from
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#24 0x0020f7be in cppu::createStandardClassWithSequence () from
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#25 0x002111e6 in cppu::createFactoryProxy () from
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#26 0x0020f757 in cppu::createStandardClassWithSequence () from
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#27 0x0020f80f in cppu::createStandardClassWithSequence () from
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3
#28 0xf7cec1f2 in component_writeInfo () from
/usr/lib/openoffice.org2.0/program/servicemgr.uno.so
#29 0xf7cea23b in component_writeInfo () from
/usr/lib/openoffice.org2.0/program/servicemgr.uno.so
#30 0x07d801b7 in desktop::Desktop::Main () from
/usr/lib/openoffice.org2.0/program/libsoffice.so
#31 0x0711032a in DeInitVCL () from
/usr/lib/openoffice.org2.0/program/libvcl680li.so
#32 0x071103dd in SVMain () from /usr/lib/openoffice.org2.0/program/libvcl680li.so
#33 0x07d7998b in sal_main () from /usr/lib/openoffice.org2.0/program/libsoffice.so
#34 0x07d799d7 in main () from /usr/lib/openoffice.org2.0/program/libsoffice.so
#35 0x00be16b4 in __libc_start_main () from /lib/libc.so.6
#36 0x080484a5 in _start ()
(gdb)
Comment 5 Caolan McNamara 2006-02-01 09:26:25 EST
what's the full list of openoffice rpms installed, i.e.

> rpm -qf /usr/lib/openoffice.org2.0 


Comment 6 Sammy 2006-02-01 09:30:58 EST
Cannot confirm this on my x86_64 and i386 BUT running Test2 kernel
Comment 7 Willem Riede 2006-02-01 18:11:16 EST
[wriede@athena ~]$ rpm -qf /usr/lib/openoffice.org2.0
openoffice.org-core-2.0.1.1-8.2
openoffice.org-calc-2.0.1.1-8.2
openoffice.org-graphicfilter-2.0.1.1-8.2
openoffice.org-draw-2.0.1.1-8.2
openoffice.org-math-2.0.1.1-8.2
openoffice.org-impress-2.0.1.1-8.2
openoffice.org-writer-2.0.1.1-8.2
openoffice.org-xsltfilter-2.0.1.1-8.2
openoffice.org-langpack-nl-2.0.1.1-8.2
[wriede@athena ~]$
Comment 8 Caolan McNamara 2006-02-02 04:40:09 EST
Created attachment 124036 [details]
replacement testing x86 gcc bridge library

lets try this replacement library. Make a backup of the gcc3 bridging library.
i.e.

> cp /usr/lib/openoffice.org2.0/program/libgcc3_uno.so /tmp/libgcc3_uno.so

and replace it with this attached one, i.e. cp ~/libgcc3_uno.so
/usr/lib/openoffice.org2.0/program/libgcc3_uno.so see if OOo still fails to
start from a terminal with this new replacement. Attach the output from the
console if it fails.
Comment 9 Caolan McNamara 2006-02-02 05:35:42 EST
Created attachment 124040 [details]
updated library

use this one for a little more debug data
Comment 10 Willem Riede 2006-02-02 06:49:55 EST
Heisenbug? No crash with debug-lib. Turns out oo wanted to recover a
spreadsheet, and once it did, I exited. Trace below.

...
(no debugging symbols found)
(no debugging symbols found)
PAGESIZE is 4096
mapping f7db4000
createBlock of f7db4000
before making f7db4000 executable
after making f7db4000 executable
[New Thread 4099066784 (LWP 12927)]
[New Thread 4084394912 (LWP 12928)]
[Thread 4084394912 (LWP 12928) exited]
[New Thread 4084394912 (LWP 12934)]
[Thread 4084394912 (LWP 12934) exited]
[New Thread 4084394912 (LWP 12936)]
[Thread 4084394912 (LWP 12936) exited]
[New Thread 4084394912 (LWP 12937)]
[New Thread 4066126752 (LWP 12938)]
[Thread 4084394912 (LWP 12937) exited]
[New Thread 4084394912 (LWP 12939)]
[New Thread 4055636896 (LWP 12940)]
[Thread 4066126752 (LWP 12938) exited]
[Thread 4084394912 (LWP 12939) exited]
[New Thread 4084394912 (LWP 12941)]
[New Thread 4066126752 (LWP 12942)]
[Thread 4055636896 (LWP 12940) exited]
[Thread 4084394912 (LWP 12941) exited]
[Thread 4066126752 (LWP 12942) exited]
[New Thread 4066126752 (LWP 12943)]
[Thread 4066126752 (LWP 12943) exited]
[Thread 4132854688 (LWP 12920) exited]
[Thread 4120021920 (LWP 12921) exited]
unmapping f7db4000

Program exited normally.
(gdb)
Comment 11 Caolan McNamara 2006-02-02 06:56:24 EST
Could very well be a heisenbug, I can't reproduce it with/without selinux
enabled or all sorts of messing around. But the traces point to a crash on the
first use of the c++ to uno bridge. The debug lib contains a plausible fix/safer
usage.

any chance that if you swap back the old one it crashes again ?
Comment 12 Paul F. Johnson 2006-02-02 16:15:18 EST
I get the following every time on x86_64 when running strace oowriter

execve("/usr/bin/oowriter", ["oowriter"], [/* 36 vars */]) = 0
brk(0)                                  = 0x6ba000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2b4728cd5000
uname({sys="Linux", node="T7.Linux", ...}) = 0
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=168892, ...}) = 0
mmap(NULL, 168892, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2b4728cd6000
close(3)                                = 0
open("/lib64/libtermcap.so.2", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\21P0>"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=16192, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2b4728d00000
mmap(0x3e30500000, 1060720, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3e30500000
mprotect(0x3e30503000, 1044480, PROT_NONE) = 0
mmap(0x3e30602000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x3e30602000
close(3)                                = 0
open("/lib64/libdl.so.2", O_RDONLY)     = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360\17@"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=23240, ...}) = 0
mmap(0x3c02400000, 1061152, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3c02400000
mprotect(0x3c02402000, 1048576, PROT_NONE) = 0
mmap(0x3c02502000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x3c02502000
close(3)                                = 0
open("/lib64/libc.so.6", O_RDONLY)      = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\316"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1571160, ...}) = 0
mmap(0x3c01f00000, 2326696, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3c01f00000
mprotect(0x3c0202f000, 1048576, PROT_NONE) = 0
mmap(0x3c0212f000, 20480, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x12f000) = 0x3c0212f000
mmap(0x3c02134000, 16552, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3c02134000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2b4728d01000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2b4728d02000
arch_prctl(ARCH_SET_FS, 0x2b4728d01d30) = 0
mprotect(0x3c02502000, 4096, PROT_READ) = 0
mprotect(0x3c0212f000, 16384, PROT_READ) = 0
mprotect(0x3c01e19000, 4096, PROT_READ) = 0
munmap(0x2b4728cd6000, 168892)          = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/dev/tty", O_RDWR|O_NONBLOCK)     = 3
close(3)                                = 0
brk(0)                                  = 0x6ba000
brk(0x6db000)                           = 0x6db000
open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=54095696, ...}) = 0
mmap(NULL, 54095696, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2b4728d03000
close(3)                                = 0
getuid()                                = 500
getgid()                                = 500
geteuid()                               = 500
getegid()                               = 500
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/etc/mtab", O_RDONLY)             = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=481, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2b472c09a000
read(3, "/dev/mapper/VolGroup00-LogVol00 "..., 4096) = 481
close(3)                                = 0
munmap(0x2b472c09a000, 4096)            = 0
open("/proc/meminfo", O_RDONLY)         = 3
fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2b472c09a000
read(3, "MemTotal:      2569184 kB\nMemFre"..., 1024) = 676
close(3)                                = 0
munmap(0x2b472c09a000, 4096)            = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigaction(SIGQUIT, {SIG_IGN}, {SIG_DFL}, 8) = 0
uname({sys="Linux", node="T7.Linux", ...}) = 0
stat("/home/paul", {st_mode=S_IFDIR|0700, st_size=12288, ...}) = 0
stat(".", {st_mode=S_IFDIR|0700, st_size=12288, ...}) = 0
getpid()                                = 4463
open("/usr/lib64/gconv/gconv-modules.cache", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=25406, ...}) = 0
mmap(NULL, 25406, PROT_READ, MAP_SHARED, 3, 0) = 0x2b472c09a000
close(3)                                = 0
getppid()                               = 4462
getpgrp()                               = 4462
rt_sigaction(SIGCHLD, {0x4336a6, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/usr/bin/oowriter", O_RDONLY)     = 3
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0x7fffffb801c0) = -1 ENOTTY
(Inappropriate ioctl for device)
lseek(3, 0, SEEK_CUR)                   = 0
read(3, "#!/bin/sh\nexec /usr/lib/openoffi"..., 80) = 71
lseek(3, 0, SEEK_SET)                   = 0
getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=1024}) = 0
dup2(3, 255)                            = 255
close(3)                                = 0
fcntl(255, F_SETFD, FD_CLOEXEC)         = 0
fcntl(255, F_GETFL)                     = 0x8000 (flags O_RDONLY|O_LARGEFILE)
fstat(255, {st_mode=S_IFREG|0755, st_size=71, ...}) = 0
lseek(255, 0, SEEK_CUR)                 = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "#!/bin/sh\nexec /usr/lib/openoffi"..., 71) = 71
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {0x4336a6, [], SA_RESTORER, 0x3c01f2f270}, 8) = 0
execve("/usr/lib/openoffice.org2.0/program/soffice",
["/usr/lib/openoffice.org2.0/progr"..., "-writer"], [/* 36 vars */]) = 0
brk(0)                                  = 0x6ba000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2b7b8c768000
uname({sys="Linux", node="T7.Linux", ...}) = 0
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=168892, ...}) = 0
mmap(NULL, 168892, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2b7b8c769000
close(3)                                = 0
open("/lib64/libtermcap.so.2", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\21P0>"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=16192, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2b7b8c793000
mmap(0x3e30500000, 1060720, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3e30500000
mprotect(0x3e30503000, 1044480, PROT_NONE) = 0
mmap(0x3e30602000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x3e30602000
close(3)                                = 0
open("/lib64/libdl.so.2", O_RDONLY)     = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360\17@"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=23240, ...}) = 0
mmap(0x3c02400000, 1061152, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3c02400000
mprotect(0x3c02402000, 1048576, PROT_NONE) = 0
mmap(0x3c02502000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x3c02502000
close(3)                                = 0
open("/lib64/libc.so.6", O_RDONLY)      = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\316"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1571160, ...}) = 0
mmap(0x3c01f00000, 2326696, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3c01f00000
mprotect(0x3c0202f000, 1048576, PROT_NONE) = 0
mmap(0x3c0212f000, 20480, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x12f000) = 0x3c0212f000
mmap(0x3c02134000, 16552, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3c02134000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2b7b8c794000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2b7b8c795000
arch_prctl(ARCH_SET_FS, 0x2b7b8c794d30) = 0
mprotect(0x3c02502000, 4096, PROT_READ) = 0
mprotect(0x3c0212f000, 16384, PROT_READ) = 0
mprotect(0x3c01e19000, 4096, PROT_READ) = 0
munmap(0x2b7b8c769000, 168892)          = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/dev/tty", O_RDWR|O_NONBLOCK)     = 3
close(3)                                = 0
brk(0)                                  = 0x6ba000
brk(0x6db000)                           = 0x6db000
open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=54095696, ...}) = 0
mmap(NULL, 54095696, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2b7b8c796000
close(3)                                = 0
getuid()                                = 500
getgid()                                = 500
geteuid()                               = 500
getegid()                               = 500
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/etc/mtab", O_RDONLY)             = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=481, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2b7b8fb2d000
read(3, "/dev/mapper/VolGroup00-LogVol00 "..., 4096) = 481
close(3)                                = 0
munmap(0x2b7b8fb2d000, 4096)            = 0
open("/proc/meminfo", O_RDONLY)         = 3
fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2b7b8fb2d000
read(3, "MemTotal:      2569184 kB\nMemFre"..., 1024) = 676
close(3)                                = 0
munmap(0x2b7b8fb2d000, 4096)            = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigaction(SIGQUIT, {SIG_IGN}, {SIG_DFL}, 8) = 0
uname({sys="Linux", node="T7.Linux", ...}) = 0
stat("/home/paul", {st_mode=S_IFDIR|0700, st_size=12288, ...}) = 0
stat(".", {st_mode=S_IFDIR|0700, st_size=12288, ...}) = 0
getpid()                                = 4463
open("/usr/lib64/gconv/gconv-modules.cache", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=25406, ...}) = 0
mmap(NULL, 25406, PROT_READ, MAP_SHARED, 3, 0) = 0x2b7b8fb2d000
close(3)                                = 0
getppid()                               = 4462
getpgrp()                               = 4462
rt_sigaction(SIGCHLD, {0x4336a6, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/usr/lib/openoffice.org2.0/program/soffice", O_RDONLY) = 3
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0x7ffffff1a6e0) = -1 ENOTTY
(Inappropriate ioctl for device)
lseek(3, 0, SEEK_CUR)                   = 0
read(3, "#!/bin/sh\n#*********************"..., 80) = 80
lseek(3, 0, SEEK_SET)                   = 0
getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=1024}) = 0
dup2(3, 255)                            = 255
close(3)                                = 0
fcntl(255, F_SETFD, FD_CLOEXEC)         = 0
fcntl(255, F_GETFL)                     = 0x8000 (flags O_RDONLY|O_LARGEFILE)
fstat(255, {st_mode=S_IFREG|0555, st_size=4394, ...}) = 0
lseek(255, 0, SEEK_CUR)                 = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "#!/bin/sh\n#*********************"..., 4394) = 4394
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
lseek(255, -2855, SEEK_CUR)             = 1539
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2b7b8c794dc0) = 4464
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], WNOHANG, NULL) = 4464
wait4(-1, 0x7ffffff1a044, WNOHANG, NULL) = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGCHLD, {0x4336a6, [], SA_RESTORER, 0x3c01f2f270}, {0x4336a6, [],
SA_RESTORER, 0x3c01f2f270}, 8) = 0
close(4)                                = 0
read(3, "false\n", 128)                 = 6
read(3, "", 128)                        = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "export SAL_IGNOREXERRORS=true\n\n#"..., 4394) = 2855
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
lseek(255, -2410, SEEK_CUR)             = 1984
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2b7b8c794dc0) = 4465
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], WNOHANG, NULL) = 4465
wait4(-1, 0x7ffffff1a044, WNOHANG, NULL) = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGCHLD, {0x4336a6, [], SA_RESTORER, 0x3c01f2f270}, {0x4336a6, [],
SA_RESTORER, 0x3c01f2f270}, 8) = 0
close(4)                                = 0
read(3, "Linux\n", 128)                 = 6
read(3, "", 128)                        = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, 8) = 0
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2b7b8c794dc0) = 4466
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], WNOHANG, NULL) = 4466
wait4(-1, 0x7ffffff19f34, WNOHANG, NULL) = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGCHLD, {0x4336a6, [], SA_RESTORER, 0x3c01f2f270}, {0x4336a6, [],
SA_RESTORER, 0x3c01f2f270}, 8) = 0
close(4)                                = 0
read(3, "x86_64\n", 128)                = 7
read(3, "", 128)                        = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "\n# set -x\n\n# resolve installatio"..., 4394) = 2410
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
lseek(255, -2351, SEEK_CUR)             = 2043
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2b7b8c794dc0) = 4467
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], WNOHANG, NULL) = 4467
wait4(-1, 0x7ffffff19ec4, WNOHANG, NULL) = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGCHLD, {0x4336a6, [], SA_RESTORER, 0x3c01f2f270}, {0x4336a6, [],
SA_RESTORER, 0x3c01f2f270}, 8) = 0
close(4)                                = 0
read(3, "/home/paul\n", 128)            = 11
read(3, "", 128)                        = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "if [ -h \"$0\" ] ; then\n\tsd_basena"..., 4394) = 2351
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
lstat("/usr/lib/openoffice.org2.0/program/soffice", {st_mode=S_IFREG|0555,
st_size=4394, ...}) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
lseek(255, -2152, SEEK_CUR)             = 2242
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2b7b8c794dc0) = 4468
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], WNOHANG, NULL) = 4468
wait4(-1, 0x7ffffff19f34, WNOHANG, NULL) = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGCHLD, {0x4336a6, [], SA_RESTORER, 0x3c01f2f270}, {0x4336a6, [],
SA_RESTORER, 0x3c01f2f270}, 8) = 0
close(4)                                = 0
read(3, "/usr/lib/openoffice.org2.0/progr"..., 128) = 35
read(3, "", 128)                        = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, 8) = 0
stat("/usr", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat("/usr/lib", {st_mode=S_IFDIR|0755, st_size=45056, ...}) = 0
stat("/usr/lib/openoffice.org2.0", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat("/usr/lib/openoffice.org2.0/program", {st_mode=S_IFDIR|0755, st_size=16384,
...}) = 0
chdir("/usr/lib/openoffice.org2.0/program") = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "\nsd_prog=\"`pwd`\"\n\ncd ..\nsd_binar"..., 4394) = 2152
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
lseek(255, -2135, SEEK_CUR)             = 2259
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2b7b8c794dc0) = 4469
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], WNOHANG, NULL) = 4469
wait4(-1, 0x7ffffff19ec4, WNOHANG, NULL) = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGCHLD, {0x4336a6, [], SA_RESTORER, 0x3c01f2f270}, {0x4336a6, [],
SA_RESTORER, 0x3c01f2f270}, 8) = 0
close(4)                                = 0
read(3, "/usr/lib/openoffice.org2.0/progr"..., 128) = 35
read(3, "", 128)                        = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "\ncd ..\nsd_binary=`basename \"$0\"`"..., 4394) = 2135
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
stat("/usr", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat("/usr/lib", {st_mode=S_IFDIR|0755, st_size=45056, ...}) = 0
stat("/usr/lib/openoffice.org2.0", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat("/usr/lib/openoffice.org2.0/program", {st_mode=S_IFDIR|0755, st_size=16384,
...}) = 0
stat("/usr/lib/openoffice.org2.0/program", {st_mode=S_IFDIR|0755, st_size=16384,
...}) = 0
chdir("/usr/lib/openoffice.org2.0")     = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
lseek(255, -2096, SEEK_CUR)             = 2298
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2b7b8c794dc0) = 4470
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], WNOHANG, NULL) = 4470
wait4(-1, 0x7ffffff19fd4, WNOHANG, NULL) = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGCHLD, {0x4336a6, [], SA_RESTORER, 0x3c01f2f270}, {0x4336a6, [],
SA_RESTORER, 0x3c01f2f270}, 8) = 0
close(4)                                = 0
read(3, "soffice\n", 128)               = 8
read(3, "", 128)                        = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "sd_inst=\"`pwd`\"\n\n# change back d"..., 4394) = 2096
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
lseek(255, -2080, SEEK_CUR)             = 2314
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2b7b8c794dc0) = 4471
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], WNOHANG, NULL) = 4471
wait4(-1, 0x7ffffff19ec4, WNOHANG, NULL) = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGCHLD, {0x4336a6, [], SA_RESTORER, 0x3c01f2f270}, {0x4336a6, [],
SA_RESTORER, 0x3c01f2f270}, 8) = 0
close(4)                                = 0
read(3, "/usr/lib/openoffice.org2.0\n", 128) = 27
read(3, "", 128)                        = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "\n# change back directory\ncd \"$sd"..., 4394) = 2080
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
stat("/home", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat("/home/paul", {st_mode=S_IFDIR|0700, st_size=12288, ...}) = 0
chdir("/home/paul")                     = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
access("/usr/lib/openoffice.org2.0/program/javaldx", X_OK) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
pipe([3, 4])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
lseek(255, -1395, SEEK_CUR)             = 2999
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2b7b8c794dc0) = 4472
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGCHLD, {0x4336a6, [], SA_RESTORER, 0x3c01f2f270}, {0x4336a6, [],
SA_RESTORER, 0x3c01f2f270}, 8) = 0
close(4)                                = 0
read(3, "", 128)                        = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], WNOHANG, NULL) = 4472
wait4(-1, 0x7ffffff19e64, WNOHANG, NULL) = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "\n# misc. environment variables\nO"..., 4394) = 1395
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
stat("/etc/adabasrc", 0x7ffffff1a540)   = -1 ENOENT (No such file or directory)
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [INT CHLD], 8) = 0
rt_sigprocmask(SIG_SETMASK, [INT CHLD], NULL, 8) = 0
lseek(255, -283, SEEK_CUR)              = 4111
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2b7b8c794dc0) = 4473
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 4473
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, 0x7ffffff1a404, WNOHANG, NULL) = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "\n# set path so that other apps c"..., 4394) = 283
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
lseek(255, -77, SEEK_CUR)               = 4317
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x2b7b8c794dc0) = 4474
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, {SIG_DFL}, 8) = 0
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 78}], 0, NULL) = 4474
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, 0x7ffffff1a404, WNOHANG, NULL) = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x43414e, [], SA_RESTORER, 0x3c01f2f270}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "\nwhile [ $? -eq 79 ]\ndo\n\t\"$sd_pr"..., 4394) = 77
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
exit_group(0)                           = ?
Process 4463 detached

Very annoying :-<
Comment 13 Paul F. Johnson 2006-02-02 16:30:50 EST
I've gone back down to the 2.0.1.1-7.2 version and OOo fires up without a hitch,
so something has cropped into the -8 version which continues to snarl up with
-9. I had to use --nodeps to get around the need for libneon-0.24
Comment 14 Willem Riede 2006-02-02 17:29:32 EST
Re #11 - yes, move the old lib back and the original crash is back.
Move your debug verion in place, an oo is happy (albeit slow).
Comment 15 sean 2006-02-03 15:49:44 EST
openoffice.org-impress-2.0.1.1-9.2
openoffice.org-calc-2.0.1.1-9.2
openoffice.org-writer-2.0.1.1-9.2
openoffice.org-core-2.0.1.1-9.2

Still the same problem.

amd64
Comment 16 Caolan McNamara 2006-02-06 05:49:47 EST
*** Bug 179844 has been marked as a duplicate of this bug. ***
Comment 17 Caolan McNamara 2006-02-06 05:51:55 EST
*** Bug 168404 has been marked as a duplicate of this bug. ***
Comment 18 Paul F. Johnson 2006-02-06 05:54:21 EST
Is this just a 64 bit bug?
Comment 19 Caolan McNamara 2006-02-06 06:10:25 EST
Willem: great, you have been really helpful here.

I think we can be pretty sure the problem is on the first use of the c++ to uno
bridge code which requires executable memory to function. So not anything to do
with the logic of the code itself which threw/caught the exception, but the
translation of the exception into uno and back which goes through the bridge code.

We need to
a) not have execstack set in libgcc3_uno due to the assembly from the bridge
code, to keep selinux happy
b) not allocate *all* memory executable, to keep selinux and co happy
c) we need the bridge glue to be executable, to allow OOo to function even
during startup, as well as remote bridges like pyuno
d) we should allocate and make executable in a pattern like the execmem section
of http://people.redhat.com/drepper/selinux-mem.html to keep the selinux people
happy
e) implement that without bugs and suitable for c++


So I hopefully I've hit all those targets in 2.0.1-10. Be easier to be certain
if I had an amd64 (even in 32bit) which would should make this reproducable for me.
Comment 20 Chris Chabot 2006-02-06 07:08:57 EST
Same here, running a recent P4 that can handle x86_64 but running a i386 fedora
core (not a single 64 pkg installed)

Oddly enough when i boot SMP (for HT) i get this crash, however when i boot an
UP kernel ooffice starts without any problems
Comment 21 Willem Riede 2006-02-06 20:22:47 EST
Caolan, whenever you have something you want me to try/test, just let me know.

Note You need to log in before you can comment on or make changes to this bug.